board      = "spec"
sim_tool   = "modelsim"
top_module = "main"
action     = "simulation"
target     = "xilinx"
syn_device = "xc6slx150t"
vcom_opt   = "-93 -mixedsvvh"

fetchto    = "../../../dependencies"

ctrls = ["bank3_64b_32b"]

include_dirs = [
    "../include",
    fetchto + "/gn4124-core/hdl/gn4124core/sim/gn4124_bfm",
    fetchto + "/general-cores/sim",
    fetchto + "/mock-turtle/hdl/testbench/include",
    fetchto + "/fmc-adc-100m14b4cha-gw/hdl/testbench/include",
]

files = [
    "main.sv",
    "dut_env.sv",
    "synthesis_descriptor.vhd",
]

modules = {
    "local" : [
        "../../top/wrtd_ref_spec150t_adc",
    ],
}
