# HDLMake 'develop' branch required.
#
# Due to bugs in release v3.0 of hdlmake it is necessary to use the "develop"
# branch of hdlmake, commit db4e1ab.

sim_tool   = "modelsim"
sim_top    = "main"
action     = "simulation"
target     = "xilinx"
board      = "svec"
syn_device = "xc6slx150t"
vcom_opt   = "-93 -mixedsvvh"

fetchto="../../../dependencies"

include_dirs = [
    fetchto + "/mock-turtle/hdl/testbench/include/",
    fetchto + "/mock-turtle/hdl/testbench/include/regs/",
    fetchto + "/general-cores/sim/",
    fetchto + "/urv-core/rtl/",
]

files = [
    "main.sv",
    "synthesis_descriptor.vhd",
]

modules = {
    "local" : [
        "../../top/wrtd_ref_svec_tdc_fd",
    ],
}
